Bug 246659 - KDE Frameworks 5.70: Could not find the program 'konsole'
Summary: KDE Frameworks 5.70: Could not find the program 'konsole'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-22 13:49 UTC by Serge Volkov
Modified: 2020-06-01 19:20 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Volkov 2020-05-22 13:49:25 UTC
After upgrading the KDE Frameworks to version 5.70, I discovered strange behavior of the working environment. My shortcuts, which include launching in the Terminal, stopped working. For example, I have the .desktop shortcut:

[Desktop Entry]
Type=Application
Version=1.0
Name=Midnight Commander
GenericName=Midnight Commander
Comment=Midnight Commander, a free Norton Commander Clone
Icon=mc
Exec=mc
Categories=System;Utility;Core;FileTools;FileManager;
Terminal=true

When I try to start the application using this shortcut, I get an error: "Could not find the program 'konsole'". Before the update, this worked fine.

# pkg info | grep konsole
konsole-20.04.1                KDE terminal emulator
pkg info | grep Midnight
mc-4.8.24                      Midnight Commander, a free Norton Commander Clone

Can someone help me?
Comment 1 Serge Volkov 2020-05-22 16:20:11 UTC
When I try to start the application using shortcut, which include launching in the Terminal, I see plasmashell messages in the log:

QKqueueFileSystemWatcherEngine::addPaths: open: No such file or directory
Internal program error. QStandardPaths::findExecutable couldn't find "konsole" but our own logic found it at "/usr/local/bin/konsole" . Please report a bug at https://bugs.kde.org
Comment 2 Serge Volkov 2020-05-24 19:11:36 UTC
I found that this issue is being discussed here https://bugs.kde.org/show_bug.cgi?id=421374.

This is a KDE Frameworks 5.70 bug, which should be fixed in 5.71.
Comment 3 Tobias C. Berner freebsd_committer 2020-05-24 20:22:17 UTC
Moin moin 

Thanks for the report and the link to upstream -- the fix has been added to the tree now. 

Let me know if that does not yet solve the issue for you.



mfg Tobias
Comment 4 commit-hook freebsd_committer 2020-05-24 20:22:48 UTC
A commit references this bug:

Author: tcberner
Date: Sun May 24 20:22:13 UTC 2020
New revision: 536419
URL: https://svnweb.freebsd.org/changeset/ports/536419

Log:
  devel/kf5-kio: add upstream bug fix: "Could not find the program ?konsole?"

  From upstrams [1] bug report

  Fix service file specifying 'Run in terminal' giving an error code 100

  Happens because KIO::DesktopExecParser::resultingArguments() prepends
  the terminal application to the command line.  If this is a relative path,
  as it is most likely to be (and will be in the default 'konsole' case),
  the "realExecutable" check in KProcessRunner::KProcessRunner() is triggered
  and the job aborts with an error.

  Expand the specified terminal executable into a full path in resultingArguments(),
  and return an error immediately if it cannot be found.  This full terminal path
  is not relative for the KProcessRunner::KProcessRunner() check and does not fail.

  Check that resultingArguments() is not empty (an error return) before accessing
  the first word of the command, so that it does not assert if the list is empty.
  Also only call resultingArguments() once.

  [1] https://bugs.kde.org/show_bug.cgi?id=421374

  PR:		246659
  Reported by:	Serge Volkov <sv@ulstu.ru>

Changes:
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kio/files/
  head/devel/kf5-kio/files/patch-git_6452a34cf
Comment 5 Serge Volkov 2020-05-25 10:26:34 UTC
Thanks, Tobias! It's fixed for me.
Comment 6 Tobias C. Berner freebsd_committer 2020-06-01 19:20:27 UTC
Cool, I close this then.


mfg Tobias